@import "../../../styles.scss";
.disaster-news {
    .filter-condition {
        border-bottom: 1px solid $boderColor;
        position: relative;
        .filter-text {
            position: absolute;
            bottom: -20px;
            left: 20px;
            width: auto;
            padding: 10px;
            background-color: white;
        }
    }

    .example-container {
        max-height: calc(100vh - 300px);
        overflow: auto;
    }

    table {
        width: 100%;
        th {
            font-size: 12px !important;
            font-weight: 900 !important;
            color: black;
        }
        td {
            border-top: 1px solid $boderColor;
            font-size: 12px !important;
            span {
                font-size: 15px;
            }
        }
    }

    ///input

    input::placeholder {
        font-size: 12px;
    }
    input {
        font-size: 12px;
        padding: 0px 5px 0px;
        margin-top: 3px;
    }
    input:disabled {
        color: rgb(0, 0, 0);
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px;
        padding-bottom: 4px;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight;
        padding: 0px;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight;
    }

    mat-select {
        padding: 0px 5px 0px 5px;
    }

    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 12px;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ::ng-deep .mat-mdc-form-field-subscript-wrapper {
        height: 0px;
    }
}
